[arch-commits] Commit in smartmontools/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Thu Jan 28 17:23:20 EST 2010


    Date: Thursday, January 28, 2010 @ 17:23:19
  Author: giovanni
Revision: 65424

Merged revisions 65423 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/smartmontools/trunk

........
  r65423 | giovanni | 2010-01-28 23:22:37 +0100 (gio, 28 gen 2010) | 2 lines
  
  upgpkg: smartmontools 5.39.1-1
      upstream release
........

Modified:
  smartmontools/repos/extra-i686/	(properties)
  smartmontools/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)


Property changes on: smartmontools/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /smartmontools/trunk:1-64307
   + /smartmontools/trunk:1-65423

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-28 22:22:37 UTC (rev 65423)
+++ extra-i686/PKGBUILD	2010-01-28 22:23:19 UTC (rev 65424)
@@ -5,7 +5,7 @@
 # Contributor: Ralf Barth <archlinux.org at haggy.org>
 
 pkgname=smartmontools
-pkgver=5.39
+pkgver=5.39.1
 pkgrel=1
 pkgdesc="Control and monitor S.M.A.R.T. enabled ATA and SCSI Hard Drives."
 url="http://smartmontools.sourceforge.net"
@@ -17,7 +17,7 @@
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz \
         smartd.conf
         smartd.rc)
-md5sums=('63c1b5373a9ef91e9c9becb16e147571'
+md5sums=('f6f7380ae45587161c0adae8862110e9'
          '28c1b80c41dac52d433961dcfb4f70e0'
          'fb30e07f87f2c1d99532e018291ad3e8')
 
@@ -26,9 +26,10 @@
   cd "${srcdir}/${pkgname}-${pkgver}"
 
   ./configure --prefix=/usr \
-              --sysconfdir=/etc
+              --sysconfdir=/etc \
+              --enable-drivedb
   make || return 1
-  make DESTDIR=${pkgdir}/ install
+  make DESTDIR=${pkgdir}/ install || return 1
   rm -rf ${pkgdir}/etc/rc.d
   install -Dm755 ${srcdir}/smartd.rc ${pkgdir}/etc/rc.d/smartd
   install -Dm644 ${srcdir}/smartd.conf ${pkgdir}/etc/conf.d/smartd



More information about the arch-commits mailing list